Skip to content
NEWCollect for MSMEs: UPI Autopay, eNACH & remindersExplore app ↗

List Webhooks

Use this API to fetch webhook subscriptions configured for the institute.

GET /api/v1/integrations/erp/webhooks
Terminal window
curl -X GET 'https://[base_url]/api/v1/integrations/erp/webhooks' \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic <token>'

HTTP 200

{
"status": "success",
"data": [
{
"id": "11176af9-9ce7-47d9-a076-56d9f93987e0",
"event_code": "pay.payment.debited",
"failure_notification_email": "you@example.com",
"url": "https://your.site/20c59273-5051-4fe4-9bf1-70dd6352b623"
}
]
}
AttributeTypeDescription
data[].idstringWebhook subscription ID.
data[].event_codestringWebhook event code.
data[].failure_notification_emailstringComma-separated failure notification emails.
data[].urlstringConfigured webhook destination URL.